org.gjt.sp.jedit.gui

## Class ErrorListDialog.ErrorEntry

- java.lang.Object
- - org.gjt.sp.jedit.gui.ErrorListDialog.ErrorEntry

Enclosing class:
  ErrorListDialog

    public static class ErrorListDialog.ErrorEntry
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ErrorListDialog.ErrorEntry(java.lang.String path, java.lang.String messageProp, java.lang.Object[] args)` An entry with default urgency `Log.ERROR`
`ErrorListDialog.ErrorEntry(java.lang.String path, java.lang.String messageProp, java.lang.Object[] args, int urgency)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorListDialog.ErrorEntry

    public ErrorListDialog.ErrorEntry(java.lang.String path,
                              java.lang.String messageProp,
                              java.lang.Object[] args)

An entry with default urgency `Log.ERROR`

#### ErrorListDialog.ErrorEntry

    public ErrorListDialog.ErrorEntry(java.lang.String path,
                              java.lang.String messageProp,
                              java.lang.Object[] args,
                              int urgency)

Since:
  5.0pre1

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`